# Uses of Interface
org.opensaml.xmlsec.signature.RSAKeyValue

Packages that use RSAKeyValue
Package
Description
org.opensaml.xmlsec.keyinfo
Classes in support of processing XML Signature KeyInfo material.
org.opensaml.xmlsec.keyinfo.impl.provider
Specific implementations of `KeyInfoProvider`.
org.opensaml.xmlsec.signature
XMLObject interfaces and helper classes for representing digitally signed content and signing/validating content.
org.opensaml.xmlsec.signature.impl
Implementations of the interfaces for XMLObjects that represent XML signature types.

## Uses of RSAKeyValue in org.opensaml.xmlsec.keyinfo

Methods in org.opensaml.xmlsec.keyinfo that return RSAKeyValue
Modifier and Type
Method
Description
`static RSAKeyValue`
KeyInfoSupport.`buildRSAKeyValue(RSAPublicKey rsaPubKey)`
Builds an `RSAKeyValue` XMLObject from the Java security RSA public key type.
Methods in org.opensaml.xmlsec.keyinfo with parameters of type RSAKeyValue
Modifier and Type
Method
Description
`static PublicKey`
KeyInfoSupport.`getRSAKey(RSAKeyValue keyDescriptor)`
Builds an RSA key from an `RSAKeyValue` element.

## Uses of RSAKeyValue in org.opensaml.xmlsec.keyinfo.impl.provider

Methods in org.opensaml.xmlsec.keyinfo.impl.provider that return RSAKeyValue
Modifier and Type
Method
Description
`protected RSAKeyValue`
RSAKeyValueProvider.`getRSAKeyValue(XMLObject xmlObject)`
Get the RSAKeyValue from the passed XML object.

## Uses of RSAKeyValue in org.opensaml.xmlsec.signature

Methods in org.opensaml.xmlsec.signature that return RSAKeyValue
Modifier and Type
Method
Description
`RSAKeyValue`
KeyValue.`getRSAKeyValue()`
Get the RSAKeyValue child element.
Methods in org.opensaml.xmlsec.signature with parameters of type RSAKeyValue
Modifier and Type
Method
Description
`void`
KeyValue.`setRSAKeyValue(RSAKeyValue newRSAKeyValue)`
Set the RSAKeyValue child element.

## Uses of RSAKeyValue in org.opensaml.xmlsec.signature.impl

Classes in org.opensaml.xmlsec.signature.impl that implement RSAKeyValue
Modifier and Type
Class
Description
`class`
`RSAKeyValueImpl`
Concrete implementation of `RSAKeyValue`.
Fields in org.opensaml.xmlsec.signature.impl declared as RSAKeyValue
Modifier and Type
Field
Description
`private RSAKeyValue`
KeyValueImpl.`rsaKeyValue`
RSAKeyValue child element.
Methods in org.opensaml.xmlsec.signature.impl that return RSAKeyValue
Modifier and Type
Method
Description
`RSAKeyValue`
RSAKeyValueBuilder.`buildObject()`
Builds an XMLObject using the default name and namespace information provided by the XML Signature specifications.
`RSAKeyValue`
RSAKeyValueBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`RSAKeyValue`
KeyValueImpl.`getRSAKeyValue()`
Get the RSAKeyValue child element.
Methods in org.opensaml.xmlsec.signature.impl with parameters of type RSAKeyValue
Modifier and Type
Method
Description
`void`
KeyValueImpl.`setRSAKeyValue(RSAKeyValue newRSAKeyValue)`
Set the RSAKeyValue child element.